Package org.globus.gsi.provider.simple

# Class SimpleMemoryKeyStore

java.lang.Object
java.security.KeyStoreSpi
org.globus.gsi.provider.simple.SimpleMemoryKeyStore

public class SimpleMemoryKeyStore extends KeyStoreSpi
Deprecated.

## Constructor Summary

Constructors
Constructor
Description
`SimpleMemoryKeyStore()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`Enumeration<String>`
`engineAliases()`
Deprecated.
`boolean`
`engineContainsAlias(String alias)`
Deprecated.
`void`
`engineDeleteEntry(String alias)`
Deprecated.
`Certificate`
`engineGetCertificate(String alias)`
Deprecated.
`String`
`engineGetCertificateAlias(Certificate cert)`
Deprecated.
`Certificate[]`
`engineGetCertificateChain(String alias)`
Deprecated.
`Date`
`engineGetCreationDate(String alias)`
Deprecated.
`Key`
`engineGetKey(String alias, char[] password)`
Deprecated.
`boolean`
`engineIsCertificateEntry(String alias)`
Deprecated.
`boolean`
`engineIsKeyEntry(String alias)`
Deprecated.
`void`
`engineLoad(InputStream stream, char[] password)`
Deprecated.
`void`
`engineLoad(KeyStore.LoadStoreParameter params)`
Deprecated.
`void`
`engineSetCertificateEntry(String alias, Certificate cert)`
Deprecated.
`void`
`engineSetKeyEntry(String alias, byte[] key, Certificate[] chain)`
Deprecated.
`void`
`engineSetKeyEntry(String alias, Key key, char[] password, Certificate[] chain)`
Deprecated.
`int`
`engineSize()`
Deprecated.
`void`
`engineStore(OutputStream stream, char[] password)`
Deprecated.

### Methods inherited from class java.security.KeyStoreSpi

`engineEntryInstanceOf, engineGetAttributes, engineGetEntry, engineProbe, engineSetEntry, engineStore`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SimpleMemoryKeyStore

public SimpleMemoryKeyStore()
Deprecated.

## Method Details

### engineLoad

public void engineLoad(KeyStore.LoadStoreParameter params) throws IOException, NoSuchAlgorithmException, CertificateException
Deprecated.

Overrides:
  `engineLoad` in class `KeyStoreSpi`
Throws:
  `IOException`
  `NoSuchAlgorithmException`
  `CertificateException`

### engineAliases

public Enumeration<String> engineAliases()
Deprecated.

Specified by:
  `engineAliases` in class `KeyStoreSpi`

### engineContainsAlias

public boolean engineContainsAlias(String alias)
Deprecated.

Specified by:
  `engineContainsAlias` in class `KeyStoreSpi`

### engineDeleteEntry

public void engineDeleteEntry(String alias) throws KeyStoreException
Deprecated.

Specified by:
  `engineDeleteEntry` in class `KeyStoreSpi`
Throws:
  `KeyStoreException`

### engineGetCertificate

public Certificate engineGetCertificate(String alias)
Deprecated.

Specified by:
  `engineGetCertificate` in class `KeyStoreSpi`

### engineIsCertificateEntry

public boolean engineIsCertificateEntry(String alias)
Deprecated.

Specified by:
  `engineIsCertificateEntry` in class `KeyStoreSpi`

### engineIsKeyEntry

public boolean engineIsKeyEntry(String alias)
Deprecated.

Specified by:
  `engineIsKeyEntry` in class `KeyStoreSpi`

### engineSetCertificateEntry

public void engineSetCertificateEntry(String alias, Certificate cert) throws KeyStoreException
Deprecated.

Specified by:
  `engineSetCertificateEntry` in class `KeyStoreSpi`
Throws:
  `KeyStoreException`

### engineSize

public int engineSize()
Deprecated.

Specified by:
  `engineSize` in class `KeyStoreSpi`

### engineStore

public void engineStore(OutputStream stream, char[] password) throws IOException, NoSuchAlgorithmException, CertificateException
Deprecated.

Specified by:
  `engineStore` in class `KeyStoreSpi`
Throws:
  `IOException`
  `NoSuchAlgorithmException`
  `CertificateException`

### engineSetKeyEntry

public void engineSetKeyEntry(String alias, byte[] key, Certificate[] chain) throws KeyStoreException
Deprecated.

Specified by:
  `engineSetKeyEntry` in class `KeyStoreSpi`
Throws:
  `KeyStoreException`

### engineSetKeyEntry

public void engineSetKeyEntry(String alias, Key key, char[] password, Certificate[] chain) throws KeyStoreException
Deprecated.

Specified by:
  `engineSetKeyEntry` in class `KeyStoreSpi`
Throws:
  `KeyStoreException`

### engineLoad

public void engineLoad(InputStream stream, char[] password) throws IOException, NoSuchAlgorithmException, CertificateException
Deprecated.

Specified by:
  `engineLoad` in class `KeyStoreSpi`
Throws:
  `IOException`
  `NoSuchAlgorithmException`
  `CertificateException`

### engineGetCertificateAlias

public String engineGetCertificateAlias(Certificate cert)
Deprecated.

Specified by:
  `engineGetCertificateAlias` in class `KeyStoreSpi`

### engineGetCertificateChain

public Certificate[] engineGetCertificateChain(String alias)
Deprecated.

Specified by:
  `engineGetCertificateChain` in class `KeyStoreSpi`

### engineGetCreationDate

public Date engineGetCreationDate(String alias)
Deprecated.

Specified by:
  `engineGetCreationDate` in class `KeyStoreSpi`

### engineGetKey

public Key engineGetKey(String alias, char[] password) throws NoSuchAlgorithmException, UnrecoverableKeyException
Deprecated.

Specified by:
  `engineGetKey` in class `KeyStoreSpi`
Throws:
  `NoSuchAlgorithmException`
  `UnrecoverableKeyException`